# Default values for rancher-turtles-providers.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

# providers: Providers configuration.
providers:
  # addonFleet: Cluster API Add-on Provider for Fleet (CAAPF).
  addonFleet:
    # enabled: Enables the installation of this provider.
    enabled: true
    # namespace: The namespace where the provider manifests will be applied.
    namespace: fleet-addon-system
    # enableAutomaticUpdate: Allows the provider to be updated automatically whenever this chart is updated.
    enableAutomaticUpdate: true
  # version: Optional provider version
  # version: ""
  # features: Optional feature flags for this provider.
  # features:
  #   machinePool: false
  #   clusterResourceSet: false
  #   clusterTopology: false
  # variables: Optional environment variables exposed to the controller manager.
  # variables:
  #   ENV_VAR: "value"
  # credentials: Optional Secret reference containing Rancher credentials
  # credentials:
  #   name: ""
  #   namespace: ""
  # configSecret: ConfigSecret is the object with name and namespace of the Secret providing the configuration variables for the current provider instance, like e.g. credentials.
  # configSecret:
  #   name: ""
  #   namespace: ""
  # manager: Optional controller manager settings.
  # manager:
  #   syncPeriod: "5m"
  #   verbosity: 5
  bootstrapRKE2:
    # enabled: Enables the installation of this provider.
    enabled: true
    # namespace: The namespace where the provider manifests will be applied.
    namespace: rke2-bootstrap-system
    # enableAutomaticUpdate: Allows the provider to be updated automatically whenever this chart is updated.
    enableAutomaticUpdate: true
  # version: Optional provider version
  # version: ""
  # features: Optional feature flags for this provider.
  # features:
  #   machinePool: false
  #   clusterResourceSet: false
  #   clusterTopology: false
  # variables: Optional environment variables exposed to the controller manager.
  # variables:
  #   ENV_VAR: "value"
  # credentials: Optional Secret reference containing Rancher credentials
  # credentials:
  #   name: ""
  #   namespace: ""
  # configSecret: ConfigSecret is the object with name and namespace of the Secret providing the configuration variables for the current provider instance, like e.g. credentials.
  # configSecret:
  #   name: ""
  #   namespace: ""
  # manager: Optional controller manager settings.
  # manager:
  #   syncPeriod: "5m"
  #   verbosity: 5
  controlplaneRKE2:
    # enabled: Enables the installation of this provider.
    enabled: true
    # namespace: The namespace where the provider manifests will be applied.
    namespace: rke2-control-plane-system
    # enableAutomaticUpdate: Allows the provider to be updated automatically whenever this chart is updated.
    enableAutomaticUpdate: true
  # version: Optional provider version
  # version: ""
  # features: Optional feature flags for this provider.
  # features:
  #   machinePool: false
  #   clusterResourceSet: false
  #   clusterTopology: false
  # variables: Optional environment variables exposed to the controller manager.
  # variables:
  #   ENV_VAR: "value"
  # credentials: Optional Secret reference containing Rancher credentials
  # credentials:
  #   name: ""
  #   namespace: ""
  # configSecret: ConfigSecret is the object with name and namespace of the Secret providing the configuration variables for the current provider instance, like e.g. credentials.
  # configSecret:
  #   name: ""
  #   namespace: ""
  # manager: Optional controller manager settings.
  # manager:
  #   syncPeriod: "5m"
  #   verbosity: 5
  # infrastructureMetal3: Metal3 Infrastructure Provider (CAPM3).
  infrastructureMetal3:
    # enabled: Enables the installation of this provider.
    enabled: true
    # namespace: The namespace where the provider manifests will be applied.
    namespace: capm3-system
    # enableAutomaticUpdate: Allows the provider to be updated automatically whenever this chart is updated.
    enableAutomaticUpdate: true
  ipamMetal3:
    # enabled: Enables the installation of this provider.
    enabled: true
    # namespace: The namespace where the provider manifests will be applied.
    namespace: metal3-ipam-system
    # enableAutomaticUpdate: Allows the provider to be updated automatically whenever this chart is updated.
    enableAutomaticUpdate: true
